Subject: System install TUI | insufficient field width for HTTP proxy

From: [email-masked]
Date: Mon, 17 Jun 2024 07:23:12 -0000

Dear GNU/Guix team,

I have a machine which sits behind a corporate web proxy.
If I want to install Guix System via the G/TUI, I have the possibility to
set an HTTP proxy within the F1 menu. Unfortunately, the field's width is
too short and everything after the 20th character is truncated. Hence, I'm
unable to connect with my proxy.

However, if I do a manual installation, I'm able to set the proxy properly
with "herd set-http-proxy guix-daemon URL".

I tried this with the 1.4.0 and 1.4.0-20.37719d3
(is90iy5c98d8v7jzfx39hc40mp1lkdfb) ISO image.
The behavior is the same.

Attached you will find a PNG file of the aforementioned field.

If you need more information, please contact me.

Kind regards

Fyrfaras